// org.cocktail.kiwi.client._AskForValeurs_EOArchive_English.java
// Generated by EOJavaClientPalette at 2007-11-29 20:42:40 +0000

package org.cocktail.kiwi.client;

import java.awt.Font;
import java.awt.Insets;
import java.awt.Menu;

import javax.swing.JPanel;
import javax.swing.JTextField;

import com.webobjects.eoapplication.EOArchive;
import com.webobjects.eointerface.swing.EOFrame;
import com.webobjects.eointerface.swing.EOView;
import com.webobjects.eointerface.swing.EOViewLayout;
import com.webobjects.foundation.NSDisposableRegistry;

public class _AskForValeurs_EOArchive_English extends com.webobjects.eoapplication.EOArchive {
    EOView _nsBox0, _nsBox1, _nsBox10, _nsBox11, _nsBox12, _nsBox13, _nsBox2, _nsBox3, _nsBox4, _nsBox5, _nsBox6, _nsBox7, _nsBox8, _nsBox9;
    Menu _popUpList, _popUpList0, _popUpList1, _popUpList2;
    com.webobjects.eointerface.swing.EOFrame _1Valeur, _views;
    com.webobjects.eointerface.swing.EOMatrix _nsMatrix0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField2, _nsTextField3, _nsTextField4, _nsTextField5, _nsTextField6, _nsTextField7;
    javax.swing.JButton _nsButton0, _nsButton1;
    javax.swing.JComboBox _popup0, _popup1, _popup2, _popup3;
    javax.swing.JPanel _nsView0, _nsView1;
    javax.swing.JRadioButton _jRadioButton0, _jRadioButton1, _jRadioButton2;

    public _AskForValeurs_EOArchive_English(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _popUpList2 = (Menu)_registered(new Menu(), "PopUpList");
        _popUpList1 = (Menu)_registered(new Menu(), "PopUpList");
        _popUpList0 = (Menu)_registered(new Menu(), "PopUpList");
        _popUpList = (Menu)_registered(new Menu(), "PopUpList");
        _popup3 = (javax.swing.JComboBox)_registered(new javax.swing.JComboBox(), null);
        _popup2 = (javax.swing.JComboBox)_registered(new javax.swing.JComboBox(), null);
        _nsBox13 = (EOView)_registered(new EOView(), null);
        _nsBox12 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "op")) != null)) {
            _jRadioButton2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JRadioButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_jRadioButton2");
        } else {
            _jRadioButton2 = (javax.swing.JRadioButton)_registered(new javax.swing.JRadioButton("OP"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "mandat")) != null)) {
            _jRadioButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JRadioButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_jRadioButton1");
        } else {
            _jRadioButton1 = (javax.swing.JRadioButton)_registered(new javax.swing.JRadioButton("Mandat"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "manuel")) != null)) {
            _jRadioButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JRadioButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_jRadioButton0");
        } else {
            _jRadioButton0 = (javax.swing.JRadioButton)_registered(new javax.swing.JRadioButton("Manuel"), null);
        }

        _nsMatrix0 = (com.webobjects.eointerface.swing.EOMatrix)_registered(new com.webobjects.eointerface.swing.EOMatrix(1, 3, 0, 3), null);
        _nsTextField7 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "11");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "modesPaiement")) != null)) {
            _popup1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JComboBox)replacement;
            _replacedObjects.setObjectForKey(replacement, "_popup1");
        } else {
            _popup1 = (javax.swing.JComboBox)_registered(new javax.swing.JComboBox(), null);
        }

        _nsTextField6 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "1");
        _nsTextField5 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "montantAvance")) != null)) {
            _nsTextField4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField4");
        } else {
            _nsTextField4 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsBox11 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewAvance")) != null)) {
            _nsBox10 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox10");
        } else {
            _nsBox10 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "libelleLong")) != null)) {
            _nsTextField3 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField3");
        } else {
            _nsTextField3 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsBox9 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewLibelleLong")) != null)) {
            _nsBox8 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox8");
        } else {
            _nsBox8 = (EOView)_registered(new EOView(), null);
        }

        _nsBox7 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewMontant")) != null)) {
            _nsBox6 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox6");
        } else {
            _nsBox6 = (EOView)_registered(new EOView(), null);
        }

        _nsBox5 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewValeur")) != null)) {
            _nsBox4 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox4");
        } else {
            _nsBox4 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "montant")) != null)) {
            _nsTextField2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField2");
        } else {
            _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "valeur")) != null)) {
            _nsTextField1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField1");
        } else {
            _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        _nsBox3 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "swapView")) != null)) {
            _nsBox2 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox2");
        } else {
            _nsBox2 = (EOView)_registered(new EOView(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnValider")) != null)) {
            _nsButton1 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton1");
        } else {
            _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Valider"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "titre")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "component")) != null)) {
            _1Valeur = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_1Valeur");
        } else {
            _1Valeur = (EOFrame)_registered(new EOFrame(), "1 Valeur");
        }

        _nsView1 = (JPanel)_1Valeur.getContentPane();

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "btnAnnuler")) != null)) {
            _nsButton0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JButton)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsButton0");
        } else {
            _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Annuler"), null);
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "popupValeurs")) != null)) {
            _popup0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (javax.swing.JComboBox)replacement;
            _replacedObjects.setObjectForKey(replacement, "_popup0");
        } else {
            _popup0 = (javax.swing.JComboBox)_registered(new javax.swing.JComboBox(), null);
        }

        _nsBox1 = (EOView)_registered(new EOView(), null);

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "viewValeurs")) != null)) {
            _nsBox0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsBox0");
        } else {
            _nsBox0 = (EOView)_registered(new EOView(), null);
        }

        _views = (EOFrame)_registered(new EOFrame(), "Views");
        _nsView0 = (JPanel)_views.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _popup3.setModel(new javax.swing.DefaultComboBoxModel());
        _popup3.addItem("2002");
        _popup3.addItem("2003");
        _popup3.addItem("2004");
        _popup2.setModel(new javax.swing.DefaultComboBoxModel());
        _popup2.addItem("Janvier");
        _popup2.addItem("F\u00e9vrier");
        _popup2.addItem("Mars");
        _popup2.addItem("Avril");
        _popup2.addItem("Mai");
        _popup2.addItem("Juin");
        _popup2.addItem("Juillet");
        _popup2.addItem("Aout");
        _popup2.addItem("Septembre");
        _popup2.addItem("Octobre");
        _popup2.addItem("Novembre");
        _popup2.addItem("D\u00e9cembre");

        if (_replacedObjects.objectForKey("_jRadioButton2") == null) {
            _connect(_owner(), _jRadioButton2, "op");
        }

        if (_replacedObjects.objectForKey("_jRadioButton1") == null) {
            _connect(_owner(), _jRadioButton1, "mandat");
        }

        if (_replacedObjects.objectForKey("_jRadioButton0") == null) {
            _connect(_owner(), _jRadioButton0, "manuel");
        }

        if (_replacedObjects.objectForKey("_popup1") == null) {
            _connect(_owner(), _popup1, "modesPaiement");
        }

        if (_replacedObjects.objectForKey("_popup1") == null) {
            _popup1.setModel(new javax.swing.DefaultComboBoxModel());
            _popup1.addItem("Item1");
            _popup1.addItem("Item2");
            _popup1.addItem("Item3");
        }

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _connect(_owner(), _nsTextField4, "montantAvance");
        }

        if (_replacedObjects.objectForKey("_nsBox10") == null) {
            _connect(_owner(), _nsBox10, "viewAvance");
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _connect(_owner(), _nsTextField3, "libelleLong");
        }

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            _connect(_owner(), _nsBox8, "viewLibelleLong");
        }

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            _connect(_owner(), _nsBox6, "viewMontant");
        }

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            _connect(_owner(), _nsBox0, "viewValeurs");
        }

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            _connect(_owner(), _nsBox4, "viewValeur");
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _connect(_owner(), _nsTextField2, "montant");
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _connect(_owner(), _nsTextField1, "valeur");
        }

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            _connect(_owner(), _nsBox2, "swapView");
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _connect(_owner(), _nsButton1, "btnValider");
        }

        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "valider", _nsButton1), "null"));

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "titre");
        }

        if (_replacedObjects.objectForKey("_1Valeur") == null) {
            _connect(_owner(), _1Valeur, "component");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton0), "null"));

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _connect(_owner(), _nsButton0, "btnAnnuler");
        }

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _connect(_owner(), _popup0, "popupValeurs");
        }

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _popup0.setModel(new javax.swing.DefaultComboBoxModel());
            _popup0.addItem("Item1");
            _popup0.addItem("Item2");
            _popup0.addItem("Item3");
        }
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_popup3, "Helvetica", 12, Font.PLAIN);
        _setFontForComponent(_popup2, "Helvetica", 12, Font.PLAIN);
        if ((_nsBox13.getLayout() instanceof EOViewLayout) == false) _nsBox13.setLayout(new EOViewLayout());
        _popup2.setSize(90, 20);
        _popup2.setLocation(56, 0);
        ((EOViewLayout)_nsBox13.getLayout()).setAutosizingMask(_popup2, EOViewLayout.MinYMargin);
        _nsBox13.add(_popup2);
        _popup3.setSize(90, 20);
        _popup3.setLocation(151, 0);
        ((EOViewLayout)_nsBox13.getLayout()).setAutosizingMask(_popup3, EOViewLayout.MinYMargin);
        _nsBox13.add(_popup3);
        if ((_nsBox12.getLayout() instanceof EOViewLayout) == false) _nsBox12.setLayout(new EOViewLayout());
        _nsBox13.setSize(287, 20);
        _nsBox13.setLocation(7, 7);
        ((EOViewLayout)_nsBox12.getLayout()).setAutosizingMask(_nsBox13, EOViewLayout.MinYMargin);
        _nsBox12.add(_nsBox13);
        _nsBox12.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));

        if (_replacedObjects.objectForKey("_jRadioButton2") == null) {
            _setFontForComponent(_jRadioButton2, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_jRadioButton1") == null) {
            _setFontForComponent(_jRadioButton1, "Helvetica", 12, Font.PLAIN);
        }

        if (_replacedObjects.objectForKey("_jRadioButton0") == null) {
            _setFontForComponent(_jRadioButton0, "Helvetica", 12, Font.PLAIN);
        }

        _jRadioButton0.setSize(68, 15);
        _jRadioButton0.setLocation(0, 0);
        _nsMatrix0.add(_jRadioButton0);
        _jRadioButton1.setSize(68, 15);
        _jRadioButton1.setLocation(68, 0);
        _nsMatrix0.add(_jRadioButton1);
        _jRadioButton2.setSize(68, 15);
        _jRadioButton2.setLocation(136, 0);
        _nsMatrix0.add(_jRadioButton2);
        _setFontForComponent(_nsMatrix0, "Helvetica", 12, Font.PLAIN);
        _setFontForComponent(_nsTextField7, "Helvetica", 10, Font.PLAIN);
        _nsTextField7.setEditable(false);
        _nsTextField7.setOpaque(false);
        _nsTextField7.setText("Traitement :");
        _nsTextField7.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField7.setSelectable(true);
        _nsTextField7.setEnabled(true);
        _nsTextField7.setBorder(null);

        if (_replacedObjects.objectForKey("_popup1") == null) {
            _setFontForComponent(_popup1, "Helvetica", 11, Font.PLAIN);
        }

        _setFontForComponent(_nsTextField6, "Helvetica", 10, Font.PLAIN);
        _nsTextField6.setEditable(false);
        _nsTextField6.setOpaque(false);
        _nsTextField6.setText("Mode de paiement :");
        _nsTextField6.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField6.setSelectable(true);
        _nsTextField6.setEnabled(true);
        _nsTextField6.setBorder(null);
        _setFontForComponent(_nsTextField5, "Helvetica", 10, Font.PLAIN);
        _nsTextField5.setEditable(false);
        _nsTextField5.setOpaque(false);
        _nsTextField5.setText("Montant :");
        _nsTextField5.setHorizontalAlignment(JTextField.RIGHT);
        _nsTextField5.setSelectable(true);
        _nsTextField5.setEnabled(true);
        _nsTextField5.setBorder(null);

        if (_replacedObjects.objectForKey("_nsTextField4") == null) {
            _setFontForComponent(_nsTextField4, "Helvetica", 12, Font.PLAIN);
            _nsTextField4.setEditable(true);
            _nsTextField4.setOpaque(true);
            _nsTextField4.setText("");
            _nsTextField4.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField4.setSelectable(true);
            _nsTextField4.setEnabled(true);
        }

        if ((_nsBox11.getLayout() instanceof EOViewLayout) == false) _nsBox11.setLayout(new EOViewLayout());
        _nsTextField4.setSize(80, 21);
        _nsTextField4.setLocation(109, 0);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField4, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField4);
        _nsTextField5.setSize(92, 13);
        _nsTextField5.setLocation(13, 5);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField5, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField5);
        _nsTextField6.setSize(109, 13);
        _nsTextField6.setLocation(-3, 31);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField6, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField6);
        _popup1.setSize(176, 21);
        _popup1.setLocation(109, 28);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_popup1, EOViewLayout.MinYMargin);
        _nsBox11.add(_popup1);
        _nsTextField7.setSize(109, 13);
        _nsTextField7.setLocation(-3, 58);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsTextField7, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsTextField7);
        _nsMatrix0.setSize(204, 15);
        _nsMatrix0.setLocation(111, 57);
        ((EOViewLayout)_nsBox11.getLayout()).setAutosizingMask(_nsMatrix0, EOViewLayout.MinYMargin);
        _nsBox11.add(_nsMatrix0);

        if (_replacedObjects.objectForKey("_nsBox10") == null) {
            if ((_nsBox10.getLayout() instanceof EOViewLayout) == false) _nsBox10.setLayout(new EOViewLayout());
            _nsBox11.setSize(288, 74);
            _nsBox11.setLocation(7, 7);
            ((EOViewLayout)_nsBox10.getLayout()).setAutosizingMask(_nsBox11, EOViewLayout.MinYMargin);
            _nsBox10.add(_nsBox11);
            _nsBox10.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField3") == null) {
            _setFontForComponent(_nsTextField3, "Helvetica", 12, Font.PLAIN);
            _nsTextField3.setEditable(true);
            _nsTextField3.setOpaque(true);
            _nsTextField3.setText("");
            _nsTextField3.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField3.setSelectable(true);
            _nsTextField3.setEnabled(true);
        }

        if ((_nsBox9.getLayout() instanceof EOViewLayout) == false) _nsBox9.setLayout(new EOViewLayout());
        _nsTextField3.setSize(289, 21);
        _nsTextField3.setLocation(5, 4);
        ((EOViewLayout)_nsBox9.getLayout()).setAutosizingMask(_nsTextField3, EOViewLayout.MinYMargin);
        _nsBox9.add(_nsTextField3);

        if (_replacedObjects.objectForKey("_nsBox8") == null) {
            if ((_nsBox8.getLayout() instanceof EOViewLayout) == false) _nsBox8.setLayout(new EOViewLayout());
            _nsBox9.setSize(298, 30);
            _nsBox9.setLocation(2, 2);
            ((EOViewLayout)_nsBox8.getLayout()).setAutosizingMask(_nsBox9, EOViewLayout.MinYMargin);
            _nsBox8.add(_nsBox9);
            _nsBox8.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsBox7.getLayout() instanceof EOViewLayout) == false) _nsBox7.setLayout(new EOViewLayout());
        _nsTextField2.setSize(80, 21);
        _nsTextField2.setLocation(108, 0);
        ((EOViewLayout)_nsBox7.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsBox7.add(_nsTextField2);

        if (_replacedObjects.objectForKey("_nsBox6") == null) {
            if ((_nsBox6.getLayout() instanceof EOViewLayout) == false) _nsBox6.setLayout(new EOViewLayout());
            _nsBox7.setSize(288, 21);
            _nsBox7.setLocation(7, 7);
            ((EOViewLayout)_nsBox6.getLayout()).setAutosizingMask(_nsBox7, EOViewLayout.MinYMargin);
            _nsBox6.add(_nsBox7);
            _nsBox6.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsBox5.getLayout() instanceof EOViewLayout) == false) _nsBox5.setLayout(new EOViewLayout());
        _nsTextField1.setSize(124, 21);
        _nsTextField1.setLocation(92, 4);
        ((EOViewLayout)_nsBox5.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsBox5.add(_nsTextField1);

        if (_replacedObjects.objectForKey("_nsBox4") == null) {
            if ((_nsBox4.getLayout() instanceof EOViewLayout) == false) _nsBox4.setLayout(new EOViewLayout());
            _nsBox5.setSize(298, 30);
            _nsBox5.setLocation(2, 2);
            ((EOViewLayout)_nsBox4.getLayout()).setAutosizingMask(_nsBox5, EOViewLayout.MinYMargin);
            _nsBox4.add(_nsBox5);
            _nsBox4.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsTextField2") == null) {
            _setFontForComponent(_nsTextField2, "Helvetica", 12, Font.PLAIN);
            _nsTextField2.setEditable(true);
            _nsTextField2.setOpaque(true);
            _nsTextField2.setText("");
            _nsTextField2.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField2.setSelectable(true);
            _nsTextField2.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsTextField1") == null) {
            _setFontForComponent(_nsTextField1, "Helvetica", 12, Font.PLAIN);
            _nsTextField1.setEditable(true);
            _nsTextField1.setOpaque(true);
            _nsTextField1.setText("");
            _nsTextField1.setHorizontalAlignment(JTextField.CENTER);
            _nsTextField1.setSelectable(true);
            _nsTextField1.setEnabled(true);
        }

        if (_replacedObjects.objectForKey("_nsBox2") == null) {
            if ((_nsBox2.getLayout() instanceof EOViewLayout) == false) _nsBox2.setLayout(new EOViewLayout());
            _nsBox3.setSize(289, 74);
            _nsBox3.setLocation(7, 7);
            ((EOViewLayout)_nsBox2.getLayout()).setAutosizingMask(_nsBox3, EOViewLayout.MinYMargin);
            _nsBox2.add(_nsBox3);
            _nsBox2.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if (_replacedObjects.objectForKey("_nsButton1") == null) {
            _setFontForComponent(_nsButton1, "Helvetica", 12, Font.PLAIN);
            _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Helvetica", 12, Font.PLAIN + Font.BOLD);
            _nsTextField0.setEditable(false);
            _nsTextField0.setOpaque(false);
            _nsTextField0.setText("");
            _nsTextField0.setHorizontalAlignment(JTextField.LEFT);
            _nsTextField0.setSelectable(false);
            _nsTextField0.setEnabled(true);
            _nsTextField0.setBorder(null);
        }

        if ((_nsView1.getLayout() instanceof EOViewLayout) == false) _nsView1.setLayout(new EOViewLayout());
        _nsTextField0.setSize(300, 15);
        _nsTextField0.setLocation(4, 5);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView1.add(_nsTextField0);
        _nsButton0.setSize(95, 21);
        _nsButton0.setLocation(109, 116);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsView1.add(_nsButton0);
        _nsButton1.setSize(95, 21);
        _nsButton1.setLocation(209, 116);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsView1.add(_nsButton1);
        _nsBox2.setSize(303, 88);
        _nsBox2.setLocation(2, 25);
        ((EOViewLayout)_nsView1.getLayout()).setAutosizingMask(_nsBox2, EOViewLayout.MinYMargin);
        _nsView1.add(_nsBox2);

        if (_replacedObjects.objectForKey("_1Valeur") == null) {
            _nsView1.setSize(310, 141);
            _1Valeur.setTitle("Saisissez une valeur");
            _1Valeur.setLocation(564, 573);
            _1Valeur.setSize(310, 141);
        }

        if (_replacedObjects.objectForKey("_nsButton0") == null) {
            _setFontForComponent(_nsButton0, "Helvetica", 12, Font.PLAIN);
            _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        }

        if (_replacedObjects.objectForKey("_popup0") == null) {
            _setFontForComponent(_popup0, "Helvetica", 12, Font.PLAIN);
        }

        if ((_nsBox1.getLayout() instanceof EOViewLayout) == false) _nsBox1.setLayout(new EOViewLayout());
        _popup0.setSize(274, 20);
        _popup0.setLocation(7, 0);
        ((EOViewLayout)_nsBox1.getLayout()).setAutosizingMask(_popup0, EOViewLayout.MinYMargin);
        _nsBox1.add(_popup0);

        if (_replacedObjects.objectForKey("_nsBox0") == null) {
            if ((_nsBox0.getLayout() instanceof EOViewLayout) == false) _nsBox0.setLayout(new EOViewLayout());
            _nsBox1.setSize(288, 20);
            _nsBox1.setLocation(7, 7);
            ((EOViewLayout)_nsBox0.getLayout()).setAutosizingMask(_nsBox1, EOViewLayout.MinYMargin);
            _nsBox0.add(_nsBox1);
            _nsBox0.setBorder(new com.webobjects.eointerface.swing._EODefaultBorder("Box", true, "Helvetica", 12, Font.PLAIN));
        }

        if ((_nsView0.getLayout() instanceof EOViewLayout) == false) _nsView0.setLayout(new EOViewLayout());
        _nsBox0.setSize(302, 34);
        _nsBox0.setLocation(46, 59);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox0);
        _nsBox6.setSize(302, 35);
        _nsBox6.setLocation(46, 107);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox6, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox6);
        _nsBox4.setSize(302, 34);
        _nsBox4.setLocation(45, 16);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox4, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox4);
        _nsBox12.setSize(301, 34);
        _nsBox12.setLocation(47, 159);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox12, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox12);
        _nsBox8.setSize(302, 34);
        _nsBox8.setLocation(48, 201);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox8, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox8);
        _nsBox10.setSize(302, 88);
        _nsBox10.setLocation(55, 253);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsBox10, EOViewLayout.MinYMargin);
        _nsView0.add(_nsBox10);
        _nsView0.setSize(449, 505);
        _views.setTitle("");
        _views.setLocation(908, 512);
        _views.setSize(449, 505);
    }
}
